Aria: ArConstRetFunctor1C< Ret, T, P1 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArConstRetFunctor1C< Ret, T, P1 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArConstRetFunctor1C< Ret, T, P1 >:

List of all members.

## Detailed Description

### template<class Ret, class T, class P1>
class ArConstRetFunctor1C< Ret, T, P1 >

Functor for a const member function with return value and 1 parameter.

This is a class for const member functions which take 1 parameter and return a value. This class contains the knowledge on how to call a member function on a particular instance of a class. This class should be instantiated by code that wishes to pass off a functor to another piece of code.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArConstRetFunctor1C (T *obj, Ret(T::*func)(P1) const, P1 p1)
| Constructor - supply function pointer, default parameters.
| ArConstRetFunctor1C (T *obj, Ret(T::*func)(P1) const)
| Constructor - supply function pointer.
| ArConstRetFunctor1C (T &obj, Ret(T::*func)(P1) const, P1 p1)
| Constructor - supply function pointer, default parameters.
| ArConstRetFunctor1C (T &obj, Ret(T::*func)(P1) const)
| Constructor - supply function pointer.
| ArConstRetFunctor1C ()
| Constructor.
virtual Ret | invokeR (P1 p1)
| Invokes the functor with return value.
virtual Ret | invokeR (void)
| Invokes the functor with return value.
virtual void | setP1 (P1 p1)
| Set the default parameter.
virtual void | setThis (T &obj)
| Set the 'this' pointer.
virtual void | setThis (T *obj)
| Set the 'this' pointer.
virtual | ~ArConstRetFunctor1C ()
| Destructor.
## Protected Attributes
Ret(T::* | myFunc )(P1) const
T * | myObj
P1 | myP1

## Constructor & Destructor Documentation

template<class Ret, class T, class P1>

ArConstRetFunctor1C< Ret, T, P1 >::ArConstRetFunctor1C | ( | T & | obj,
|  | Ret(T::*)(P1) const | func |
| ) |  |  | `[inline]`

Constructor - supply function pointer.

Parameters:

  | obj | object to call function on
  | func | const member function pointer

template<class Ret, class T, class P1>

ArConstRetFunctor1C< Ret, T, P1 >::ArConstRetFunctor1C | ( | T & | obj,
|  | Ret(T::*)(P1) const | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | obj | object to call function on
  | func | const member function pointer
  | p1 | default first parameter

template<class Ret, class T, class P1>

ArConstRetFunctor1C< Ret, T, P1 >::ArConstRetFunctor1C | ( | T * | obj,
|  | Ret(T::*)(P1) const | func |
| ) |  |  | `[inline]`

Constructor - supply function pointer.

Parameters:

  | obj | object to call function on
  | func | const member function pointer

template<class Ret, class T, class P1>

ArConstRetFunctor1C< Ret, T, P1 >::ArConstRetFunctor1C | ( | T * | obj,
|  | Ret(T::*)(P1) const | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | obj | object to call function on
  | func | const member function pointer
  | p1 | default first parameter

## Member Function Documentation

template<class Ret, class T, class P1>

virtual Ret ArConstRetFunctor1C< Ret, T, P1 >::invokeR | ( | P1 | p1 | ) | `[inline, virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter

Implements ArRetFunctor1< Ret, P1 >.

template<class Ret, class T, class P1>

virtual void ArConstRetFunctor1C< Ret, T, P1 >::setP1 | ( | P1 | p1 | ) | `[inline, virtual]`

Set the default parameter.

Parameters:

  | p1 | default first parameter

template<class Ret, class T, class P1>

virtual void ArConstRetFunctor1C< Ret, T, P1 >::setThis | ( | T & | obj | ) | `[inline, virtual]`

Set the 'this' pointer.

Parameters:

  | obj | the 'this' pointer

template<class Ret, class T, class P1>

virtual void ArConstRetFunctor1C< Ret, T, P1 >::setThis | ( | T * | obj | ) | `[inline, virtual]`

Set the 'this' pointer.

Parameters:

  | obj | the 'this' pointer

The documentation for this class was generated from the following file:

- ArFunctor.h